View Issue Details

IDProjectCategoryView StatusLast Update
0032099Open CASCADEOCCT:Visualizationpublic2021-12-17 18:41
Reporterosa Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032099: Visualization - define OSD_FileSystem class managing opening of file streams
DescriptionAdd new classes to handle std::istream/ostream/iostream and some file system to manage files opening.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0032086 closedbugmaster Visualization - support deferred data loading 
parent of 0032455 verifiedmkrylova Data Exchange - replace OSD_OpenStream() usage with OSD_FileSystem::DefaultFileSystem() 
parent of 0032490 verifiedmkrylova Data Exchange - provide OSD_FileSystem::OpenOStream() for output streams 
parent of 0032564 closedsmoskvin Foundation Classes, OSD_CachedFileSystem - allow referring to non-default File System 
parent of 0032565 closedsmoskvin Foundation Classes, OSD_FileSystem - expose interface for registering global protocols 

Activities

git

2021-01-29 18:03

administrator   ~0098519

Branch CR32099 has been created by osa.

SHA-1: d83686974a26e30c0af2893136f1159ace7ba399


Detailed log of new commits:

Author: osa
Date: Fri Jan 29 18:04:51 2021 +0300

    0032099: Visualization - create file stream system

git

2021-02-04 17:30

administrator   ~0098655

Branch CR32099_1 has been created by osa.

SHA-1: df420ca3fa9761d8819d94d15001fb3145c417f9


Detailed log of new commits:

Author: osa
Date: Thu Feb 4 17:30:17 2021 +0300

    0032099: Visualization - create file stream system
    
    1) Remove unnecessary includes of "Standard_OStream.hxx" file and add it only into files where it is really used.
    2) Create the base interface to some possible file system OSD_FileSystem and its inheritor OSD_CachedFileSystem that caches previously opened stream
    and can reuse it during next opening operations.
    3) Use OSD_CachedFileSystem object instead of RWGltf_GltfSharedIStream during Gltf reading.

osa

2021-02-04 17:37

developer   ~0098658

The patches are ready to review:
- OCCT: CR32099_1
- OCCT Products: CR32099
- CAD Assistant: CR32099_1

osa

2021-02-04 17:41

developer   ~0098659

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32099_1-CR32099-OSA/view/ALL/

git

2021-02-05 17:50

administrator   ~0098682

Branch CR32099_2 has been created by osa.

SHA-1: 6f5cddc2ffa3a7ccd99cbdcd57394aa4be61713a


Detailed log of new commits:

Author: osa
Date: Fri Feb 5 17:51:17 2021 +0300

    0032099: Visualization - define OSD_FileSystem class managing opening of file streams
    
    1) Remove unnecessary includes of "Standard_OStream.hxx" file and add it only into files where it is really used.
    2) Create the base interface for a file stream provider OSD_FileSystem and its inheritor OSD_CachedFileSystem that keeping last stream to be reused for opening a stream with the same URL.
    3) Use OSD_CachedFileSystem object instead of RWGltf_GltfSharedIStream during Gltf reading.

osa

2021-02-05 18:01

developer   ~0098685

The patches were updated and are ready to review:
- OCCT: CR32099_2
- OCCT Products: CR32099
- CAD Assistant: CR32099_1

git

2021-02-05 18:34

administrator   ~0098687

Branch CR32099_2 has been updated forcibly by osa.

SHA-1: 93b4a04ec9a1cac052c3d1f344f91f5eb08cadad

git

2021-02-08 11:22

administrator   ~0098754

Branch CR32099_2 has been updated forcibly by osa.

SHA-1: 9f42bac619f0c5fdca1a6fc748df8301bd4ed8ac

git

2021-02-08 14:29

administrator   ~0098762

Branch CR32099_2 has been updated by osa.

SHA-1: 5f8abd669ee31e46398e2d679a0735df8197f9a2


Detailed log of new commits:

Author: osa
Date: Mon Feb 8 14:30:22 2021 +0300

    #kgv remarks

git

2021-02-08 14:29

administrator   ~0098763

Branch CR32099_3 has been created by osa.

SHA-1: e38d792347d2af47e096c86c2903815def9fe270


Detailed log of new commits:

Author: osa
Date: Fri Feb 5 17:51:17 2021 +0300

    0032099: Visualization - define OSD_FileSystem class managing opening of file streams
    
    1) Remove unnecessary includes of "Standard_OStream.hxx" file and add it only into files where it is really used.
    2) Create the base interface for a file stream provider OSD_FileSystem and its inheritor OSD_CachedFileSystem that keeping last stream to be reused for opening a stream with the same URL.
    3) Use OSD_CachedFileSystem object instead of RWGltf_GltfSharedIStream during Gltf reading.

osa

2021-02-08 14:31

developer   ~0098764

The patches were updated and are ready to review:
- OCCT: CR32099_3
- OCCT Products: CR32099
- CAD Assistant: CR32099_1

osa

2021-02-08 14:33

developer   ~0098765

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32099_3-CR32099-OSA/view/ALL/

git

2021-02-08 15:16

administrator   ~0098767

Branch CR32099_3 has been updated forcibly by osa.

SHA-1: e7038f27d901e5dbccd8e788699134a8acde50be

git

2021-02-08 15:30

administrator   ~0098769

Branch CR32099_3 has been updated forcibly by osa.

SHA-1: 6864ecba84e3983c9393bfebe3028faedb206a43

git

2021-02-11 13:35

administrator   ~0098827

Branch CR32099_3 has been updated by osa.

SHA-1: 83436b083fb2087dcccaaffb7e341eaa9af56b3c


Detailed log of new commits:

Author: osa
Date: Thu Feb 11 13:35:10 2021 +0300

    fix compilation for VC2008

bugmaster

2021-02-13 11:10

administrator   ~0098863

Combination -
OCCT branch : IR-2021-02-12
master SHA - fb68dbdbd6810ee27f9398c749c5740b7bea7818
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-12 SHA - 94205f40e685a70c77e547147d90c09e0a21c461
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17805.430000000237 / 17802.420000000013 [+0.02%]
Products
Total CPU difference: 11513.250000000124 / 11523.070000000105 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19375.296875 / 19372.265625 [+0.02%]
Products
Total CPU difference: 12857.265625 / 12882.921875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-02-21 11:43

administrator   ~0099033

Branch CR32099_3 has been deleted by inv.

SHA-1: 83436b083fb2087dcccaaffb7e341eaa9af56b3c

git

2021-02-21 11:43

administrator   ~0099036

Branch CR32099_2 has been deleted by inv.

SHA-1: 5f8abd669ee31e46398e2d679a0735df8197f9a2

git

2021-02-21 11:44

administrator   ~0099043

Branch CR32099_1 has been deleted by inv.

SHA-1: df420ca3fa9761d8819d94d15001fb3145c417f9

git

2021-02-21 11:44

administrator   ~0099045

Branch CR32099 has been deleted by inv.

SHA-1: d83686974a26e30c0af2893136f1159ace7ba399

Related Changesets

occt-products: master 94205f40

2021-02-04 17:32:37

osa

Details Diff
0032099: Visualization - create file stream system

Use OSD_CachedFileSystem object instead of JtData_SharedIStream during Jt reading.
Affected Issues
0032099
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - src/JTCAFControl/JTCAFControl_Reader.hxx Diff File
mod - src/JTCAFControl/JTCAFControl_Triangulation.cxx Diff File
mod - src/JTCAFControl/JTCAFControl_Triangulation.hxx Diff File
mod - src/JtData/JtData_Model.cxx Diff File
mod - src/JtData/JtData_Model.hxx Diff File
rm - src/JtData/JtData_SharedIStream.hxx Diff File
mod - src/JtProperty/JtProperty_LateLoaded.cxx Diff File

occt: master 92f8ec2f

2021-02-05 14:51:17

osa


Committer: bugmaster Details Diff
0032099: Visualization - define OSD_FileSystem class managing opening of file streams

1) Remove unnecessary includes of "Standard_OStream.hxx" file and add it only into files where it is really used.
2) Create the base interface for a file stream provider OSD_FileSystem and its inheritor OSD_CachedFileSystem that keeping last stream to be reused for opening a stream with the same URL.
3) Use OSD_CachedFileSystem object instead of RWGltf_GltfSharedIStream during Gltf reading.
Affected Issues
0032099
mod - src/GccEnt/GccEnt.hxx Diff File
mod - src/gp/gp_Mat.hxx Diff File
mod - src/Graphic3d/Graphic3d_Vertex.hxx Diff File
mod - src/IGESData/IGESData_IGESDumper.hxx Diff File
mod - src/OSD/FILES Diff File
add - src/OSD/OSD_CachedFileSystem.cxx Diff File
add - src/OSD/OSD_CachedFileSystem.hxx Diff File
add - src/OSD/OSD_FileSystem.cxx Diff File
add - src/OSD/OSD_FileSystem.hxx Diff File
add - src/OSD/OSD_FileSystemSelector.cxx Diff File
add - src/OSD/OSD_FileSystemSelector.hxx Diff File
add - src/OSD/OSD_LocalFileSystem.cxx Diff File
add - src/OSD/OSD_LocalFileSystem.hxx Diff File
add - src/OSD/OSD_StreamBuffer.hxx Diff File
mod - src/RWGltf/RWGltf_CafReader.cxx Diff File
mod - src/RWGltf/RWGltf_PrimitiveArrayReader.cxx Diff File
mod - src/RWGltf/RWGltf_PrimitiveArrayReader.hxx Diff File
mod - src/Standard/Standard_CString.cxx Diff File
mod - src/Standard/Standard_ExtCharacter.hxx Diff File
mod - src/Standard/Standard_Mutex.cxx Diff File
mod - src/Standard/Standard_Real.cxx Diff File
mod - src/Standard/Standard_ShortReal.cxx Diff File
mod - src/TopLoc/TopLoc_Location.hxx Diff File

Issue History

Date Modified Username Field Change
2021-01-29 17:56 osa New Issue
2021-01-29 17:56 osa Assigned To => kgv
2021-01-29 18:02 osa Assigned To kgv => osa
2021-01-29 18:02 osa Status new => assigned
2021-01-29 18:03 git Note Added: 0098519
2021-02-04 17:30 git Note Added: 0098655
2021-02-04 17:37 osa Note Added: 0098658
2021-02-04 17:41 osa Note Added: 0098659
2021-02-04 18:24 kgv Summary Visualization - create file stream system => Visualization - create OSD_FileSystem managing opening of file streams
2021-02-04 18:25 kgv Severity minor => feature
2021-02-04 18:25 kgv Summary Visualization - create OSD_FileSystem managing opening of file streams => Visualization - define OSD_FileSystem class managing opening of file streams
2021-02-05 17:50 git Note Added: 0098682
2021-02-05 18:01 osa Note Added: 0098685
2021-02-05 18:02 osa Assigned To osa => kgv
2021-02-05 18:02 osa Status assigned => resolved
2021-02-05 18:02 osa Steps to Reproduce Updated
2021-02-05 18:34 git Note Added: 0098687
2021-02-08 11:22 git Note Added: 0098754
2021-02-08 13:12 kgv Assigned To kgv => osa
2021-02-08 13:12 kgv Status resolved => assigned
2021-02-08 14:17 osa Relationship added related to 0032086
2021-02-08 14:29 git Note Added: 0098762
2021-02-08 14:29 git Note Added: 0098763
2021-02-08 14:31 osa Note Added: 0098764
2021-02-08 14:33 osa Note Added: 0098765
2021-02-08 14:33 osa Assigned To osa => kgv
2021-02-08 14:33 osa Status assigned => resolved
2021-02-08 15:16 git Note Added: 0098767
2021-02-08 15:30 git Note Added: 0098769
2021-02-08 16:04 kgv Assigned To kgv => bugmaster
2021-02-08 16:04 kgv Status resolved => reviewed
2021-02-11 13:35 git Note Added: 0098827
2021-02-13 11:10 bugmaster Note Added: 0098863
2021-02-13 11:10 bugmaster Status reviewed => tested
2021-02-13 11:17 bugmaster Test case number => Not required
2021-02-13 11:29 bugmaster Changeset attached => occt master 92f8ec2f
2021-02-13 11:29 bugmaster Status tested => verified
2021-02-13 11:29 bugmaster Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099033
2021-02-21 11:43 git Note Added: 0099036
2021-02-21 11:44 git Note Added: 0099043
2021-02-21 11:44 git Note Added: 0099045
2021-06-18 21:24 kgv Relationship added parent of 0032455
2021-07-23 15:25 kgv Relationship added parent of 0032490
2021-09-09 17:34 kgv Relationship added parent of 0032564
2021-09-09 21:05 kgv Relationship added parent of 0032565
2021-12-17 18:41 osa Changeset attached => occt-products master 94205f40